Summary: Real Networks RealPlayer
Name: RealPlayer
Version: 7.0.0.224
Release: 1
Group: X11/Applications/Networking
Copyright: Commercial
Url: http://proforma.real.com/real/player/linuxplayer.html
Vendor: Real Networks
Packager: Hao Li <hli@wag.caltech.edu>
# Source0 is obtained by running the downloaded self-extracting file and
# zipping the installed directory together. This installation also installs
# ~/.netscape/plugins/*, ~/.mailcap, ~/.mime.types. 
# Zap ~/.netscape/plugins/* since they are also in the dest directory.
# Clean up ~/.mailcap and ~/.mime.types to get Source1 and Source2.
Source0: RealPlayer-%{version}.tar.bz2
Source1: RealPlayer.mime.types
Source2: RealPlayer.mailcap
Exclusivearch: i386
#Requires: netscape-navigator
Obsoletes: G2player
BuildRoot: /var/tmp/%{name}-root

%description
Real Networks RealPlayer.


%prep
%setup -c -T
install -p %{SOURCE1} mime.types
install -p %{SOURCE2} mailcap


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib/netscape-navigator/plugins}
tar -C $RPM_BUILD_ROOT/usr/lib -Ixf %{SOURCE0}
ln -s ../lib/RealPlayer7/{realplay,rpnphelper} $RPM_BUILD_ROOT/usr/bin

# The plugin doesn't work well so I prefer to launch the external program
#mv $RPM_BUILD_ROOT/usr/lib/RealPlayer7/{raclass.zip,rpnp.so} \
#	$RPM_BUILD_ROOT/usr/lib/netscape-navigator/plugins


%files
%defattr(-,root,root)
%doc mime.types mailcap
/usr/bin/*
/usr/lib/RealPlayer7
#/usr/lib/netscape-navigator/plugins/*



%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Mon Jun 12 2000 Hao Li <hli@wag.caltech.edu>
- With RealPlayer-7.0.0.224 Netscape plugin somewhat works now but is 
  still awkward, so it is still left commented out.

* Mon Mar 13 2000 Hao Li <hli@wag.caltech.edu>
- Netscape plugin doesn't work as of RealPlayer-7.0.0.171 with
  netscape-navigator-4.72. So all plugin related parts above
  (in Requires, %include and %files) are commented out. Just uncomment
  them when the plugin works. By "doesn't work" I mean when the plugin
  window pops up it stays there indefinitely without doing anything.

